- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxMapExt< K, T, Compare > Class Template Reference

Search for all occurrences

## Detailed Description

### template<class K, class T, class Compare>
class FbxMapExt< K, T, Compare >

A simple map class representing a dictionary-like data structure.

Definition at line 27 of file fbxpropertymap.h.

`#include <fbxpropertymap.h>`

Inheritance diagram for FbxMapExt< K, T, Compare >:
[legend]

List of all members.

## Public Types
typedef FbxMapExtDef::RecordType * | Iterator
## Public Member Functions
| FbxMapExt ()
| Constructor.
void | Add (const K &pKey, const T &pValue)
| Add a key-value pair as an element.
Iterator | Find (const K &pKey) const
| Find an element with a given key.
Iterator | Find (const T &pValue) const
| Find an element with a given value.
void | Remove (Iterator pIterator)
| Remove an element from the map.
Iterator | GetFirst () const
| Get the first element.
Iterator | GetNext (Iterator pIterator) const
| Get the next element of a given element.
void | Clear ()
| Remove all of the elements.
void | Reserve (int pSize)
| Reserve the space for given number elements.
int | GetCount () const
| Query the count of elements in the map.

## Member Typedef Documentation

typedef FbxMapExtDef::RecordType* Iterator

Search for all occurrences

Definition at line 44 of file fbxpropertymap.h.

## Constructor & Destructor Documentation

FbxMapExt | ( |  | ) | `[inline]`

Constructor.

Definition at line 47 of file fbxpropertymap.h.

        {
        }

## Member Function Documentation

void Add | ( | const K & | pKey,
|  | const T & | pValue
| ) |  | `[inline]`

Search for all occurrences

Add a key-value pair as an element.

Parameters:

  pKey | The new key.
  pValue | The new value.

Definition at line 55 of file fbxpropertymap.h.

        {
            mMap.Insert(pKey, pValue);
        }

Iterator Find | ( | const K & | pKey | ) | const `[inline]`

Search for all occurrences

Find an element with a given key.

Parameters:

  pKey | The given key.

Returns:
  The iterator pointing to the found element or NULL if fails.

Definition at line 64 of file fbxpropertymap.h.

        {
            return (Iterator)mMap.Find( pKey );
        }

Iterator Find | ( | const T & | pValue | ) | const `[inline]`

Search for all occurrences

Find an element with a given value.

Parameters:

  pValue | The given value.

Returns:
  The iterator pointing to the found element or NULL if fails.

Definition at line 73 of file fbxpropertymap.h.

        {
            Iterator lIterator = GetFirst();
            while (lIterator)
            {
                if (lIterator->GetValue()==pValue)
                {
                    return lIterator;
                }
                lIterator = GetNext(lIterator);
            }
            return 0;
        }

void Remove | ( | Iterator | pIterator | ) | `[inline]`

Search for all occurrences

Remove an element from the map.

Parameters:

  pIterator | The given element.

Definition at line 90 of file fbxpropertymap.h.

        {
            if (pIterator) mMap.Remove( pIterator->GetKey() );
        }

Iterator GetFirst | ( |  | ) | const `[inline]`

Search for all occurrences

Get the first element.

Returns:
  The the heading element.

Definition at line 98 of file fbxpropertymap.h.

        {
            return (Iterator)mMap.Minimum();
        }

Iterator GetNext | ( | Iterator | pIterator | ) | const `[inline]`

Search for all occurrences

Get the next element of a given element.

Parameters:

  The | given element.

Returns:
  The next element.

Definition at line 107 of file fbxpropertymap.h.

        {
            return (Iterator)pIterator ? pIterator->Successor() : 0;
        }

void Clear | ( |  | ) | `[inline]`

Search for all occurrences

Remove all of the elements.

Definition at line 114 of file fbxpropertymap.h.

        {
            mMap.Clear();
        }

void Reserve | ( | int | pSize | ) | `[inline]`

Search for all occurrences

Reserve the space for given number elements.

Parameters:

  pSize | The given number.

Definition at line 122 of file fbxpropertymap.h.

        {
            mMap.Reserve( pSize );
        }

int GetCount | ( |  | ) | const `[inline]`

Search for all occurrences

Query the count of elements in the map.

Returns:
  The count of elements.

Definition at line 130 of file fbxpropertymap.h.

        {
            return mMap.GetSize();
        }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertymap.h